const notifications = require("./safari-notifications.js");


self.addEventListener("push", function (event) {
  let payload;
  if (event.data) {
    payload = JSON.parse(event.data.text());
  }

  const title = payload ? payload.title : "Custom Title";
  const options = {
    body: payload ? payload.body : "Custom body text",
    icon: payload ? payload.icon : "icon.png",
    badge: payload ? payload.badge : "badge.png",
  };

  event.waitUntil(self.registration.showNotification(title, options));
});


self.addEventListener("message", function (event) {
    const data = event.data;

    const result = notifications.getNotificationCount()

    switch (data.command) {
    case "account":
	break;

    default:
	console.log("Unknown command:", data.command);
    }
});
